<div class="two-columns-grid">
  <sqtm-core-label
    [text]="
      'sqtm-core.administration-workspace.system.information.license.expiration-date'
        | translate
    "
  >
  </sqtm-core-label>
  <sqtm-core-editable-date-field
    [editable]="false"
    [value]="componentData.licenseInfo.expirationDate"
  >
  </sqtm-core-editable-date-field>

  <sqtm-core-label
    [text]="
      'sqtm-core.administration-workspace.system.information.license.max-users'
        | translate
    "
  >
  </sqtm-core-label>
  <span [attr.data-test-field-id]="'maxUsers'">{{
    componentData.licenseInfo.maxUsers
  }}</span>

  <sqtm-core-label
    [text]="
      'sqtm-core.administration-workspace.system.information.license.current-active-users'
        | translate
    "
  >
  </sqtm-core-label>
  @if (currentActiveUsersCountIsLoaded$ | async) {
    <span [attr.data-test-field-id]="'currentActiveUsersCount'">{{
      componentData.currentActiveUsersCount
    }}</span>
  } @else {
    <span>
      <i
        class="current-workspace-main-color"
        nz-icon
        nzType="loading"
        nzTheme="outline"
      ></i>
    </span>
  }
</div>

<ng-template #loading>
  <span>
    <i
      class="current-workspace-main-color"
      nz-icon
      nzType="loading"
      nzTheme="outline"
    ></i>
  </span>
</ng-template>
